import request from '/@/utils/request';

export function getApi() {
    return {
        listApi: (params?: object) => {
            return request({
                url: 'forms/escalationApproval/v1',
                method: 'get',
                params,
            });
        },
        editApi: (data?: object) => {
            return request({
                url: 'forms/escalationApproval/v1/examine',
                method: 'PUT',
                data,
            });
        },
        download: (urls: string) => {
            return request({
                url: urls,
                method: 'get',
                responseType: 'blob',
            });
        },
        downloadUrl: (id: string) => {
            return import.meta.env.VITE_API_URL + id
        },
        pdflook: (url: string) => {
            return import.meta.env.VITE_API_URL + url
        },
    };

}
